Create an identity verification and attempt
Beta
Create an identity verification and an initial attempt.If successful, you receive a 201 Created response and the identity verification resource, which contains the attempt URL.
Ensure you use your identity verification configuration ID.
Body·
required
application/json
- Type: object
- Type: object ·declared
_data requiredThe personal details provided by the applicant.
- Type: string Format: uriredirect
_url requiredThe URL to redirect the applicant to after the attempt.
- Type: string ·user
_journey _id Pattern: ^usj_[a-z2-7]{26}$Your configuration ID.
- Type: string ·applicant
_id Pattern: ^aplt_\w+$The applicant's unique identifier.
Responses
- application/json
Request Example for post/create-and-open-idv
curl https://identity-verification.checkout.com/create-and-open-idv \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"declared_data": {
"name": "Hannah Bret"
},
"redirect_url": "https://myweb.site?query-param=hello"
}'
{
"id": "idv_tkoi5db4hryu5cei5vwoabr7we",
"created_on": {},
"modified_on": {},
"user_journey_id": "usj_tkoi5db4hryu5cei5vwoabr7we",
"applicant_id": "aplt_tkoi5db4hryu5cei5vwoabr7we",
"status": "pending",
"response_codes": [],
"risk_labels": [],
"certifications": [],
"declared_data": {
"name": "Hannah Bret",
"birth_date": "1994-10-15"
},
"documents": [],
"redirect_url": "https://myweb.site?query-param=hello",
"_links": {
"self": {
"href": "https://identity-verification.checkout.com/identity-verifications/idv_tkoi5db4hryu5cei5vwoabr7we"
},
"verification_url": {
"href": "https://idv.checkout.com/4hryu5cei5/"
}
}
}